Get developer reference information
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/developer-reference \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/developer-reference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/developer-reference"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/developer-reference")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/developer-reference"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/developer-reference",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"resource": "developer-reference",
"environment": "live",
"apiBaseUrl": "https://api.voucher.allride.io",
"surfaces": {
"consumer": "https://api.voucher.allride.io/consumer/v1",
"partner": "https://api.voucher.allride.io/partner/v1"
},
"docsUrl": "https://docs-consumer.voucher.allride.io",
"egressIps": {
"ipv4": [
"198.51.100.20",
"198.51.100.21",
"198.51.100.30",
"198.51.100.31"
]
},
"apiAccessStatus": "active",
"apiKeyFormat": "^vk_(live|test)_[0-9a-hjkmnp-tv-z]{26}_[0-9A-Za-z]{43}$",
"ipAllowlist": {
"enforcement": "api-keys",
"entryCount": 2
},
"webhooks": {
"signatureHeader": "x-signing-signature",
"signatureScheme": "t=<ts>,s1=<hmac-sha256 first secret>,s2=<hmac-sha256 second secret>",
"timestampToleranceSeconds": 300,
"eventTypes": [
"redemption-created",
"redemption-voided",
"catalog-voucher-set-available",
"webhook-endpoint-test"
]
},
"idempotencyKeyTtlHours": 24,
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/developer-reference",
"type": "application/json"
}
}
}
}Partner
Get developer reference information
Returns base URLs, the egress IP addresses AllRide connects from, the API key format, your allowlist state and webhook reference values. Billing event types are listed only when you hold view-consumer-billing.
Required permissions: view-profile · API keys: allowed
GET
/
partner
/
v1
/
developer-reference
Get developer reference information
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/developer-reference \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/developer-reference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/developer-reference"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/developer-reference")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/developer-reference"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/developer-reference",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"resource": "developer-reference",
"environment": "live",
"apiBaseUrl": "https://api.voucher.allride.io",
"surfaces": {
"consumer": "https://api.voucher.allride.io/consumer/v1",
"partner": "https://api.voucher.allride.io/partner/v1"
},
"docsUrl": "https://docs-consumer.voucher.allride.io",
"egressIps": {
"ipv4": [
"198.51.100.20",
"198.51.100.21",
"198.51.100.30",
"198.51.100.31"
]
},
"apiAccessStatus": "active",
"apiKeyFormat": "^vk_(live|test)_[0-9a-hjkmnp-tv-z]{26}_[0-9A-Za-z]{43}$",
"ipAllowlist": {
"enforcement": "api-keys",
"entryCount": 2
},
"webhooks": {
"signatureHeader": "x-signing-signature",
"signatureScheme": "t=<ts>,s1=<hmac-sha256 first secret>,s2=<hmac-sha256 second secret>",
"timestampToleranceSeconds": 300,
"eventTypes": [
"redemption-created",
"redemption-voided",
"catalog-voucher-set-available",
"webhook-endpoint-test"
]
},
"idempotencyKeyTtlHours": 24,
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/developer-reference",
"type": "application/json"
}
}
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Response
OK
Single-object envelope around a DeveloperReference.
Reference values for building an integration.
Show child attributes
Show child attributes